# Class TrinoParameterMetaData

java.lang.Object
io.trino.jdbc.TrinoParameterMetaData

All Implemented Interfaces:
  `ParameterMetaData`, `Wrapper`

public class TrinoParameterMetaData extends Object implements ParameterMetaData

## Field Summary

### Fields inherited from interface java.sql.ParameterMetaData

`parameterModeIn, parameterModeInOut, parameterModeOut, parameterModeUnknown, parameterNoNulls, parameterNullable, parameterNullableUnknown`

## Method Summary

Modifier and Type
Method
Description
`String`
`getParameterClassName(int param)`
`int`
`getParameterCount()`
`int`
`getParameterMode(int param)`
`int`
`getParameterType(int param)`
`String`
`getParameterTypeName(int param)`
`int`
`getPrecision(int param)`
`int`
`getScale(int param)`
`int`
`isNullable(int param)`
`boolean`
`isSigned(int param)`
`boolean`
`isWrapperFor(Class<?> iface)`
`<T> T`
`unwrap(Class<T> iface)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getParameterCount

public int getParameterCount() throws SQLException

Specified by:
  `getParameterCount` in interface `ParameterMetaData`
Throws:
  `SQLException`

### isNullable

public int isNullable(int param) throws SQLException

Specified by:
  `isNullable` in interface `ParameterMetaData`
Throws:
  `SQLException`

### isSigned

public boolean isSigned(int param) throws SQLException

Specified by:
  `isSigned` in interface `ParameterMetaData`
Throws:
  `SQLException`

### getPrecision

public int getPrecision(int param) throws SQLException

Specified by:
  `getPrecision` in interface `ParameterMetaData`
Throws:
  `SQLException`

### getScale

public int getScale(int param) throws SQLException

Specified by:
  `getScale` in interface `ParameterMetaData`
Throws:
  `SQLException`

### getParameterType

public int getParameterType(int param) throws SQLException

Specified by:
  `getParameterType` in interface `ParameterMetaData`
Throws:
  `SQLException`

### getParameterTypeName

public String getParameterTypeName(int param) throws SQLException

Specified by:
  `getParameterTypeName` in interface `ParameterMetaData`
Throws:
  `SQLException`

### getParameterClassName

public String getParameterClassName(int param) throws SQLException

Specified by:
  `getParameterClassName` in interface `ParameterMetaData`
Throws:
  `SQLException`

### getParameterMode

public int getParameterMode(int param) throws SQLException

Specified by:
  `getParameterMode` in interface `ParameterMetaData`
Throws:
  `SQLException`

### unwrap

public <T> T unwrap(Class<T> iface) throws SQLException

Specified by:
  `unwrap` in interface `Wrapper`
Throws:
  `SQLException`

### isWrapperFor

public boolean isWrapperFor(Class<?> iface) throws SQLException

Specified by:
  `isWrapperFor` in interface `Wrapper`
Throws:
  `SQLException`